Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.ejb
Class ProxyFactoryHA

    java.lang.Object
      org.jboss.proxy.ejb.ProxyFactory
          org.jboss.proxy.ejb.ProxyFactoryHA

All Implemented Interfaces:
  org.jboss.ejb.AllowedOperationsFlags, org.jboss.proxy.ejb.ClusterProxyFactory, org.jboss.ejb.ContainerPlugin, DistributedReplicantManager.ReplicantListener, org.jboss.ejb.EJBProxyFactory, org.jboss.ejb.GenericEntityObjectFactory, org.jboss.system.Service

public class ProxyFactoryHA
extends org.jboss.proxy.ejb.ProxyFactory
implements DistributedReplicantManager.ReplicantListener, org.jboss.proxy.ejb.ClusterProxyFactory

ProxyFactory for Clustering

Version:
  $Revision: 1.12.6.1 $

  Revisions:

  2002/01/13: billb

  1. Initial Revisition

  2002/08/24: Sacha Labourey

  1. Added a "Proxy Family" string that identifies, for a same HATarget, different families of proxies (remote, home, etc.) that may each have its own client behaviour (round robin, etc.) => each needs its own id in the Proxy Family Repository on the client side
Author:
  Bill Burke

Nested Class Summary

Nested classes inherited from class org.jboss.ejb.GenericEntityObjectFactory
`org.jboss.ejb.GenericEntityObjectFactory.UTIL`

Field Summary
`protected DistributedReplicantManager` | `drm`
`protected InvokerHA` | `jrmp`
`protected static org.jboss.logging.Logger` | `log`
`protected String` | `replicantName`
`protected HATarget` | `target`

Fields inherited from class org.jboss.proxy.ejb.ProxyFactory
`BEAN_INTERCEPTOR, beanInterceptorClasses, beanInvoker, container, ejbMetaData, home, HOME_INTERCEPTOR, homeInterceptorClasses, homeInvoker, invokerMetaData, isServiceEndpointOnly, jmxName, jmxNameHash, jndiBinding, LIST_ENTITY_INTERCEPTOR, listEntityInterceptorClasses, proxyClassConstructor, statelessObject`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`ProxyFactoryHA()`

Method Summary
`protected void` | `containerIsAboutToStop()`
`protected void` | `containerIsFullyStarted()`
`void` | `create()`
`void` | `destroy()`
`void` | `replicantsChanged(String key, List newReplicants, int newReplicantsViewId)` Callback called when the content/list of replicant for a given replicant key has changed
`protected void` | `setupInvokers()`
`void` | `start()`

Methods inherited from class org.jboss.proxy.ejb.ProxyFactory
`bindProxy, getEJBHome, getEJBMetaData, getEntityCollection, getEntityEJBObject, getStatefulSessionEJBObject, getStatelessSessionEJBObject, initInterceptorClasses, isIdentical, loadInterceptorChain, loadInterceptorClasses, rebindHomeProxy, setContainer, setInvokerBinding, setInvokerMetaData, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.jboss.logging.Logger log

### replicantName

    protected String replicantName

### jrmp

    protected InvokerHA jrmp

### target

    protected HATarget target

### drm

    protected DistributedReplicantManager drm

Constructor Detail

### ProxyFactoryHA

    public ProxyFactoryHA()

Method Detail

### create

    public void create()
                throws Exception

  Specified by:
    `create` in interface `org.jboss.system.Service`
  Throws:
    `Exception`

### start

    public void start()
               throws Exception

  Specified by:
    `start` in interface `org.jboss.system.Service`
  Throws:
    `Exception`

### setupInvokers

    protected void setupInvokers()
                          throws Exception

  Throws:
    `Exception`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.jboss.system.Service`

### containerIsFullyStarted

    protected void containerIsFullyStarted()

### containerIsAboutToStop

    protected void containerIsAboutToStop()

### replicantsChanged

    public void replicantsChanged(String key,
                                  List newReplicants,
                                  int newReplicantsViewId)

  Description copied from interface: `DistributedReplicantManager.ReplicantListener`
  Callback called when the content/list of replicant for a given replicant key has changed

  Specified by:
    `replicantsChanged` in interface `DistributedReplicantManager.ReplicantListener`
  Parameters:
    `key` - The name of the key of the replicant that has changed
    `newReplicants` - The list of new replicants for the give replicant key
    `newReplicantsViewId` - The new replicant view id corresponding to this change

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.